<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.text.SimpleDateFormat"
	import="java.util.Date"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	String lastBlockBox = sc.getUserClientSetting("net.sf.basedb.reggie.histology.last-block-box");
	if (lastBlockBox == null) lastBlockBox = "";
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~histology_block.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
#blockTable
{
	width: 100%; 
	border-collapse: collapse;
}

#blockTable th
{
	padding-left: 2px;
	padding-right: 2px;
	text-align: left;
}

#blockTable td
{
	padding: 2px;
	text-align: left;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register paraffin blocks" 
		/></p:path>

	<div class="content">
	<div id="page-data" class="datacontainer"
		data-last-block-box="<%=HTML.encodeTags(lastBlockBox)%>"
	></div>
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select Histology work list</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Histology work list</td>
				<td class="input">
					<select name="workList" id="workList" class="required"></select>
				</td>
				<td class="status" id="workList.status"></td>
				<td class="help">
					<span id="workList.message" class="message"></span>
					Select an existing histology work list.
				</td>
			</tr>
			<tr>
				<td class="prompt">Embedding date</td>
				<td class="input">
					<input type="text" name="embedDate" id="embedDate"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="histologyProtocol"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="embedDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="embedDate"
							data-date-format="yyyyMMdd"
							data-title="Embedding date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="embedDate.status"></td>
				<td class="help">
					<span id="embedDate.message" class="message" style="display: none;"></span>
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="histologyProtocol" id="histologyProtocol"></select>
				</td>
				<td class="status" id="histologyProtocol.status"></td>
				<td class="help">
					<span id="histologyProtocol.message" class="message"></span>
					Select the protocol which was used when embedding the samples.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step auto-hide" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Storage location for paraffin blocks</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="input" style="width: 54em;">
					<div id="blockBoxInput"></div>
				</td>
				<td class="status" id="blockBox.status"></td>
				<td class="help">
					<span id="blockBox.message" class="message"></span>
					Enter the box number/name in which the paraffin blocks are stored.
					Changes are automatically propagated downwards.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>